org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPAEdmMappingModel

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPAEdmMappingModel

-     public class JPAEdmMappingModel
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
       <complexContent>
       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       <sequence>
       <element name="PersistenceUnit"
       type="{http://www.apache.org/olingo/odata2/jpa/processor/api/model/mapping}JPAPersistenceUnitMapType"/>
       </sequence>
       </restriction>
       </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JPAPersistenceUnitMapType` | `persistenceUnit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAEdmMappingModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPAPersistenceUnitMapType` | `getPersistenceUnit()` Gets the value of the persistenceUnit property.
    `void` | `setPersistenceUnit(JPAPersistenceUnitMapType value)` Sets the value of the persistenceUnit property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### persistenceUnit

          protected JPAPersistenceUnitMapType persistenceUnit

  - ### Constructor Detail

    - #### JPAEdmMappingModel

          public JPAEdmMappingModel()

  - ### Method Detail

    - #### getPersistenceUnit

          public JPAPersistenceUnitMapType getPersistenceUnit()

      Gets the value of the persistenceUnit property.
      Returns:
        possible object is `JPAPersistenceUnitMapType`

    - #### setPersistenceUnit

          public void setPersistenceUnit(JPAPersistenceUnitMapType value)

      Sets the value of the persistenceUnit property.
      Parameters:
        `value` - allowed object is `JPAPersistenceUnitMapType`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.